Admin O Auth Client Get
Read an OAuth client. OAuth clients represent application/software identity. They are not the same thing as a user authorisation; user-owned authorisations are represented by device authorisations, authorisation requests, and refresh tokens.
Read an OAuth client.
OAuth clients represent application/software identity. They are not the same thing as a user authorisation; user-owned authorisations are represented by device authorisations, authorisation requests, and refresh tokens.
/admin/oauth/clients/{oauth_client_id}In: cookie
Path Parameters
OAuth client ID.
xidResponse Body
application/json
application/json
curl -X GET "https://loading/api/admin/oauth/clients/cc5lnd2s1s4652adtu50"{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"account_id": "cc5lnd2s1s4652adtu50",
"client_id": "string",
"name": "string",
"type": "public",
"scope_policy": "explicit",
"redirect_uris": [
"http://example.com"
],
"allowed_scopes": [
"string"
],
"allowed_grants": [
"string"
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Admin O Auth Client Delete DELETE
Delete an OAuth client. Deleting a client also removes its pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens are self-contained and remain valid until expiry.
Admin O Auth Client List GET
List OAuth clients registered for this instance. This admin view includes both member-created third-party clients and built-in first-party clients. Built-in clients will not be owned by an account; their grants and refresh tokens are owned by the approving account instead.